Create or update deployment environment variables
curl --request POST \
--url https://api.example.com/api/deployments/env-vars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"envVars": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/deployments/env-vars"
payload = { "envVars": [
{
"key": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({envVars: [{key: '<string>', value: '<string>'}]})
};
fetch('https://api.example.com/api/deployments/env-vars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"count": 2
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"nextActions": "<string>"
}Admin
Create or update deployment environment variables
Upserts encrypted Vercel environment variables for production, preview, and development targets.
POST
/
api
/
deployments
/
env-vars
Create or update deployment environment variables
Authorizations
bearerAuthapiKey
Project admin JWT or an API key passed as a Bearer token.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Was this page helpful?
⌘I